#include <Wire.h>
#include <ST7032.h>
#include <DHT.h>

#define DHTTYPE DHT11
#define DHTPIN 2

ST7032 lcd;
DHT dht(DHTPIN, DHTTYPE);
char str1[14] = {' ',' ',' ',' ',' ',0xdf,'C',' ','/',' ',' ',' ','%',0};
char str2[10] = {' ',' ',0xcc,0xb6,0xb2,0xbc,0xbd,0xb3,0x3a,0};

void setup() {
  lcd.begin(16, 2);
  lcd.setContrast(40);
  lcd.setCursor(0, 0);
  lcd.print(str1);
  lcd.setCursor(0, 1);
  lcd.print(str2);
  
  dht.begin();
}

void loop() {
  delay(2000);
  float h = dht.readHumidity();
  float t = dht.readTemperature();
  if (isnan(h) || isnan(t)) {
    Serial.println("Failed to read from DHT sensor!");
    return;
  }
  float discomfort = 0.81 * t + 0.01 * h * (0.99 * t - 14.3) +46.3;

  lcd.setCursor(3, 0);
  lcd.print(t,0);
  lcd.setCursor(10, 0);
  lcd.print(h,0);
  lcd.setCursor(10, 1);
  lcd.print(discomfort,1);
}
